Class | WSDL::SOAP::ServantSkeltonCreator
In: | wsdl/soap/servantSkeltonCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport XSD::CodeGen::GenSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/servantSkeltonCreator.rb, line 24
      def initialize(definitions)
        @definitions = definitions
      end

### Public Instance methods

dump(porttype = nil)

[Source]

    # File wsdl/soap/servantSkeltonCreator.rb, line 28
      def dump(porttype = nil)
        if porttype.nil?
          result = ""
          @definitions.porttypes.each do |type|
            result << dump_porttype(type.name)
            result << "\n"
          end
        else
          result = dump_porttype(porttype)
        end
        result
      end

[Validate]